Foreman - Refactor #13883

Host::Managed.last_report_object association uses deprecated :order parameter
02/24/2016 11:13 AM - Dominic Cleal
Priority: Normal
Assignee: Dominic Cleal
Category: Rails
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1321104 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3234
Description

The last_report_object association on Host::Managed uses a deprecated :order parameter, but should use a scope block and call the
order() method, e.g.

has_one :last_report_object, ... :order => "#{Report.table_name}.id DESC"
becomes
has_one :last_report_object, -> { order ("#{Report.table_name}.id DESC") }

The interfaces association in Host::Base was already changed like this in #7230.

Related issues:

Related to Foreman - Bug #14012: Errors on hosts status, configuration status... Closed 03/02/2016
Has duplicate Foreman - Bug #14352: Configuration status is getting marked ou... Duplicate 03/24/2016
Blocks Foreman - Feature #13244: Upgrade Ruby on Rails to 4.2 Closed 01/15/2016

Associated revisions

Revision 3d2098bd - 03/01/2016 06:40 AM - Dominic Cleal

fixes #13883 - replace :order association option with block

Already deprecated in an earlier Rails release, :order in an
association should be replaced by a scope block calling order().

Revision 994aidcc - 03/10/2016 10:56 AM - Dominic Cleal
fixes #13883 - replace :order association option with block

Already deprecated in an earlier Rails release, :order in an
association should be replaced by a scope block calling order().

(cherry picked from commit 3d2098bd472851ce4d030ff78adc30044eaa7d3b)

History

#1 - 02/24/2016 11:20 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3234 added

#2 - 02/24/2016 11:21 AM - Dominic Cleal
- Blocks Feature #13244: Upgrade Ruby on Rails to 4.2 added

#3 - 03/01/2016 07:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3d2098bd472851ce4d030ff78adc30044eaa7d3b.

#4 - 03/01/2016 10:37 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#5 - 03/07/2016 04:00 AM - Marek Hulan

- Related to Bug #14012: Errors on hosts status, configuration status is out of sync added

#6 - 03/07/2016 04:01 AM - Dominic Cleal

- translation missing: en.field_release changed from 136 to 71

#7 - 03/28/2016 09:27 AM - Stephen Benjamin
- Has duplicate Bug #14352: Configuration status is getting marked out of sync incorrectly added

#8 - 03/28/2016 09:28 AM - Stephen Benjamin
- Bugzilla link set to 14352

#9 - 03/28/2016 09:28 AM - Stephen Benjamin
- Bugzilla link changed from 14352 to 1321104
